Subject: bug#73853: 31.0.50; Should and-let* become a synonym for when-let*?

From: Sean Whitton <[email-masked]>
Date: Sun, 27 Oct 2024 19:32:56 +0800

Hello,

On Sun 27 Oct 2024 at 12:24pm +01, Michael Heerdegen wrote:

> Michael Albinus <[email-masked]> writes:
>
>> Please no more incompatibilities with older Emacsen except when
>> absolutely necessary. It's already hard enough for packages developed
>> outside the Emacs repo.
>
> My suggestion is not more incompatible than the current approach.

I think it is, unfortunately, because it requires people to do more
reading and thinking when updating their code.

I find your idea interesting, but also not useful enough for the
complexity that it entails -- both transition complexity, and inherent
complexity.

-- 
Sean Whitton